<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JacocoTaskExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JacocoTaskExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoPluginExtension.html" title="class in org.gradle.testing.jacoco.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html" target="_top">Frames</a></li>
<li><a href="JacocoTaskExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.testing.jacoco.plugins</div>
<h2 title="Class JacocoTaskExtension" class="title">Class JacocoTaskExtension</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.testing.jacoco.plugins.JacocoTaskExtension</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">JacocoTaskExtension</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Extension for tasks that should run with a Jacoco agent to generate coverage execution data.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins">JacocoTaskExtension.Output</a></strong></code>
<div class="block">The types of output that the agent can use for execution data.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#JacocoTaskExtension(org.gradle.api.Project,%20org.gradle.internal.jacoco.JacocoAgentJar,%20org.gradle.process.JavaForkOptions)">JacocoTaskExtension</a></strong>(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                   org.gradle.internal.jacoco.JacocoAgentJar&nbsp;agent,
                   <a href="../../../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;task)</code>
<div class="block">Creates a Jacoco task extension.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getAddress()">getAddress</a></strong>()</code>
<div class="block">IP address or hostname to use with <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_SERVER"><code>JacocoTaskExtension.Output.TCP_SERVER</code></a> or <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_CLIENT"><code>JacocoTaskExtension.Output.TCP_CLIENT</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getAsJvmArg()">getAsJvmArg</a></strong>()</code>
<div class="block">Gets all properties in the format expected of the agent JVM argument.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getClassDumpDir()">getClassDumpDir</a></strong>()</code>
<div class="block">Path to dump all class files the agent sees are dumped to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getDestinationFile()">getDestinationFile</a></strong>()</code>
<div class="block">The path for the execution data to be written to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getExcludeClassLoaders()">getExcludeClassLoaders</a></strong>()</code>
<div class="block">List of classloader names that should be excluded from analysis.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getExcludes()">getExcludes</a></strong>()</code>
<div class="block">List of class names that should be excluded from analysis.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getIncludes()">getIncludes</a></strong>()</code>
<div class="block">List of class names that should be included in analysis.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins">JacocoTaskExtension.Output</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getOutput()">getOutput</a></strong>()</code>
<div class="block">The type of output to generate.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getPort()">getPort</a></strong>()</code>
<div class="block">Port to bind to for <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_SERVER"><code>JacocoTaskExtension.Output.TCP_SERVER</code></a> or <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_CLIENT"><code>JacocoTaskExtension.Output.TCP_CLIENT</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#getSessionId()">getSessionId</a></strong>()</code>
<div class="block">An identifier for the session written to the execution data.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#isAppend()">isAppend</a></strong>()</code>
<div class="block">Whether or not data should be appended if the <code>destinationFile</code> already exists.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#isDumpOnExit()">isDumpOnExit</a></strong>()</code>
<div class="block">Whether or not to dump the coverage data at VM shutdown.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#isEnabled()">isEnabled</a></strong>()</code>
<div class="block">Whether or not the task should generate execution data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#isIncludeNoLocationClasses()">isIncludeNoLocationClasses</a></strong>()</code>
<div class="block">Whether or not classes without source location should be instrumented.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#isJmx()">isJmx</a></strong>()</code>
<div class="block">Whether or not to expose functionality via JMX under <code>org.jacoco:type=Runtime</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setAddress(java.lang.String)">setAddress</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;address)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setAppend(boolean)">setAppend</a></strong>(boolean&nbsp;append)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setClassDumpDir(java.io.File)">setClassDumpDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;classDumpDir)</code>
<div class="block">Sets path to dump all class files the agent sees are dumped to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setDestinationFile(java.io.File)">setDestinationFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationFile)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setDestinationFile(org.gradle.api.provider.Provider)">setDestinationFile</a></strong>(<a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;destinationFile)</code>
<div class="block">Set the provider for calculating the destination file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setDumpOnExit(boolean)">setDumpOnExit</a></strong>(boolean&nbsp;dumpOnExit)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setEnabled(boolean)">setEnabled</a></strong>(boolean&nbsp;enabled)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setExcludeClassLoaders(java.util.List)">setExcludeClassLoaders</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludeClassLoaders)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setExcludes(java.util.List)">setExcludes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludes)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setIncludeNoLocationClasses(boolean)">setIncludeNoLocationClasses</a></strong>(boolean&nbsp;includeNoLocationClasses)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setIncludes(java.util.List)">setIncludes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;includes)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setJmx(boolean)">setJmx</a></strong>(boolean&nbsp;jmx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setOutput(org.gradle.testing.jacoco.plugins.JacocoTaskExtension.Output)">setOutput</a></strong>(<a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins">JacocoTaskExtension.Output</a>&nbsp;output)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setPort(int)">setPort</a></strong>(int&nbsp;port)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html#setSessionId(java.lang.String)">setSessionId</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sessionId)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JacocoTaskExtension(org.gradle.api.Project, org.gradle.internal.jacoco.JacocoAgentJar, org.gradle.process.JavaForkOptions)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JacocoTaskExtension</h4>
<pre>public&nbsp;JacocoTaskExtension(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                   org.gradle.internal.jacoco.JacocoAgentJar&nbsp;agent,
                   <a href="../../../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;task)</pre>
<div class="block">Creates a Jacoco task extension.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>project</code> - the project</dd><dd><code>agent</code> - the agent JAR to use for analysis</dd><dd><code>task</code> - the task we extend</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isEnabled()</pre>
<div class="block">Whether or not the task should generate execution data. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="setEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnabled</h4>
<pre>public&nbsp;void&nbsp;setEnabled(boolean&nbsp;enabled)</pre>
</li>
</ul>
<a name="getDestinationFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestinationFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestinationFile()</pre>
<div class="block">The path for the execution data to be written to.</div>
</li>
</ul>
<a name="setDestinationFile(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationFile</h4>
<pre>public&nbsp;void&nbsp;setDestinationFile(<a href="../../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;destinationFile)</pre>
<div class="block">Set the provider for calculating the destination file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>destinationFile</code> - Destination file provider</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setDestinationFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationFile</h4>
<pre>public&nbsp;void&nbsp;setDestinationFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationFile)</pre>
</li>
</ul>
<a name="isAppend()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAppend</h4>
<pre>public&nbsp;boolean&nbsp;isAppend()</pre>
<div class="block">Whether or not data should be appended if the <code>destinationFile</code> already exists. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="setAppend(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAppend</h4>
<pre>public&nbsp;void&nbsp;setAppend(boolean&nbsp;append)</pre>
</li>
</ul>
<a name="getIncludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getIncludes()</pre>
<div class="block">List of class names that should be included in analysis. Names can use wildcards (* and ?). If left empty, all classes will be included. Defaults to an empty list.</div>
</li>
</ul>
<a name="setIncludes(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludes</h4>
<pre>public&nbsp;void&nbsp;setIncludes(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;includes)</pre>
</li>
</ul>
<a name="getExcludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExcludes()</pre>
<div class="block">List of class names that should be excluded from analysis. Names can use wildcard (* and ?). Defaults to an empty list.</div>
</li>
</ul>
<a name="setExcludes(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludes</h4>
<pre>public&nbsp;void&nbsp;setExcludes(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludes)</pre>
</li>
</ul>
<a name="getExcludeClassLoaders()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeClassLoaders</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExcludeClassLoaders()</pre>
<div class="block">List of classloader names that should be excluded from analysis. Names can use wildcards (* and ?). Defaults to an empty list.</div>
</li>
</ul>
<a name="setExcludeClassLoaders(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeClassLoaders</h4>
<pre>public&nbsp;void&nbsp;setExcludeClassLoaders(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludeClassLoaders)</pre>
</li>
</ul>
<a name="isIncludeNoLocationClasses()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIncludeNoLocationClasses</h4>
<pre>public&nbsp;boolean&nbsp;isIncludeNoLocationClasses()</pre>
<div class="block">Whether or not classes without source location should be instrumented. Defaults to <code>false</code>.

 This property is only taken into account if the used JaCoCo version supports this option (JaCoCo version &gt;= 0.7.6)</div>
</li>
</ul>
<a name="setIncludeNoLocationClasses(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeNoLocationClasses</h4>
<pre>public&nbsp;void&nbsp;setIncludeNoLocationClasses(boolean&nbsp;includeNoLocationClasses)</pre>
</li>
</ul>
<a name="getSessionId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSessionId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSessionId()</pre>
<div class="block">An identifier for the session written to the execution data. Defaults to an auto-generated identifier.</div>
</li>
</ul>
<a name="setSessionId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSessionId</h4>
<pre>public&nbsp;void&nbsp;setSessionId(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sessionId)</pre>
</li>
</ul>
<a name="isDumpOnExit()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDumpOnExit</h4>
<pre>public&nbsp;boolean&nbsp;isDumpOnExit()</pre>
<div class="block">Whether or not to dump the coverage data at VM shutdown. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="setDumpOnExit(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDumpOnExit</h4>
<pre>public&nbsp;void&nbsp;setDumpOnExit(boolean&nbsp;dumpOnExit)</pre>
</li>
</ul>
<a name="getOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutput</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins">JacocoTaskExtension.Output</a>&nbsp;getOutput()</pre>
<div class="block">The type of output to generate. Defaults to <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#FILE"><code>JacocoTaskExtension.Output.FILE</code></a>.</div>
</li>
</ul>
<a name="setOutput(org.gradle.testing.jacoco.plugins.JacocoTaskExtension.Output)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutput</h4>
<pre>public&nbsp;void&nbsp;setOutput(<a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins">JacocoTaskExtension.Output</a>&nbsp;output)</pre>
</li>
</ul>
<a name="getAddress()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAddress</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAddress()</pre>
<div class="block">IP address or hostname to use with <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_SERVER"><code>JacocoTaskExtension.Output.TCP_SERVER</code></a> or <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_CLIENT"><code>JacocoTaskExtension.Output.TCP_CLIENT</code></a>. Defaults to localhost.</div>
</li>
</ul>
<a name="setAddress(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAddress</h4>
<pre>public&nbsp;void&nbsp;setAddress(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;address)</pre>
</li>
</ul>
<a name="getPort()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPort</h4>
<pre>public&nbsp;int&nbsp;getPort()</pre>
<div class="block">Port to bind to for <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_SERVER"><code>JacocoTaskExtension.Output.TCP_SERVER</code></a> or <a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html#TCP_CLIENT"><code>JacocoTaskExtension.Output.TCP_CLIENT</code></a>. Defaults to 6300.</div>
</li>
</ul>
<a name="setPort(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPort</h4>
<pre>public&nbsp;void&nbsp;setPort(int&nbsp;port)</pre>
</li>
</ul>
<a name="getClassDumpDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassDumpDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getClassDumpDir()</pre>
<div class="block">Path to dump all class files the agent sees are dumped to. Defaults to no dumps.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="setClassDumpDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClassDumpDir</h4>
<pre>public&nbsp;void&nbsp;setClassDumpDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;classDumpDir)</pre>
<div class="block">Sets path to dump all class files the agent sees are dumped to. Defaults to no dumps.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="isJmx()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJmx</h4>
<pre>public&nbsp;boolean&nbsp;isJmx()</pre>
<div class="block">Whether or not to expose functionality via JMX under <code>org.jacoco:type=Runtime</code>. Defaults to <code>false</code>.

 The configuration of the jmx property is only taken into account if the used JaCoCo version supports this option (JaCoCo version &gt;= 0.6.2)</div>
</li>
</ul>
<a name="setJmx(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJmx</h4>
<pre>public&nbsp;void&nbsp;setJmx(boolean&nbsp;jmx)</pre>
</li>
</ul>
<a name="getAsJvmArg()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAsJvmArg</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAsJvmArg()</pre>
<div class="block">Gets all properties in the format expected of the agent JVM argument.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>state of extension in a JVM argument</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoPluginExtension.html" title="class in org.gradle.testing.jacoco.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/testing/jacoco/plugins/JacocoTaskExtension.Output.html" title="enum in org.gradle.testing.jacoco.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/testing/jacoco/plugins/JacocoTaskExtension.html" target="_top">Frames</a></li>
<li><a href="JacocoTaskExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
